require 'active_record'
module TestUrls
  class TestUrls::PrepareDb
    attr_reader :model_instances
    def initialize
      @model_instances = []
      Dir[Rails.root.join("app/models/*.rb")].each {|file| require file }
      ActiveRecord::Base.establish_connection("test")
    end

    def prepare
      begin
        `rake db:reset`
        `rake db:migrate`
        `rake db:test:prepare`
      end

      ActiveRecord::Base.descendants.each do |model|
        inst = model.create(id: 1)
        model.validate(inst)
        @model_instances << inst
      end

      @model_instances
    end
  end
end
